# Class SolanaUnsignedTransaction<N, C>

#### Type Parameters

- #### N extends Network

- #### C extends SolanaChains = SolanaChains

#### Hierarchy

- SolanaUnsignedTransaction

#### Implements

- UnsignedTransaction

- Defined in platforms/solana/src/unsignedTransaction.ts:10

#####
Index

### Constructors

constructor

### Properties

chain
description
network
parallelizable
transaction

## Constructors

### constructor

- new SolanaUnsignedTransaction<N, C>(transaction, network, chain, description, parallelizable?): SolanaUnsignedTransaction<N, C>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  - #### C extends "Solana" | "Pythnet" = "Solana" | "Pythnet"

  #### Parameters

  - ##### transaction: SolanaTransaction

  - ##### network: N

  - ##### chain: C

  - ##### description: string

  - ##### parallelizable: boolean = false

  #### Returns SolanaUnsignedTransaction<N, C>

  - Defined in platforms/solana/src/unsignedTransaction.ts:15

## Properties

### `Readonly` chain

chain: C

Implementation of UnsignedTransaction.chain

- Defined in platforms/solana/src/unsignedTransaction.ts:18

### `Readonly` description

description: string

Implementation of UnsignedTransaction.description

- Defined in platforms/solana/src/unsignedTransaction.ts:19

### `Readonly` network

network: N

Implementation of UnsignedTransaction.network

- Defined in platforms/solana/src/unsignedTransaction.ts:17

### `Readonly` parallelizable

parallelizable: boolean = false

Implementation of UnsignedTransaction.parallelizable

- Defined in platforms/solana/src/unsignedTransaction.ts:20

### `Readonly` transaction

transaction: SolanaTransaction

Implementation of UnsignedTransaction.transaction

- Defined in platforms/solana/src/unsignedTransaction.ts:16

Generated using TypeDoc